=== debian/rules ===
--- 
+++ 
@@ -133,6 +133,15 @@
 	fi
 	dh_fixperms -a -X etc/ssl/private
 
+override_dh_compress:
+	dh_compress
+	# symlink doc files
+	for p in openssl libssl-dev; do \
+	  for f in changelog.Debian.gz changelog.gz copyright; do \
+	    ln -sf ../libssl1.1/$$f debian/$$p/usr/share/doc/$$p/$$f; \
+	  done; \
+	done
+
 override_dh_perl:
 	dh_perl -d
