## openssl 1.1.0g-2ubuntu2

=== debian/changelog ===
openssl (1.1.0g-2ubuntu2-xenial) xenial; urgency=medium

  * s390x: Add support for CPACF enhancements to openssl, for IBM z14. LP:
    #1743750

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 27 Feb 2018 13:01:19 +0000

openssl (1.1.0g-2ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Replace duplicate files in the doc directory with symlinks.
    - debian/libssl1.1.postinst:
      + Display a system restart required notification on libssl1.1
        upgrade on servers.
      + Use a different priority for libssl1.1/restart-services depending
        on whether a desktop, or server dist-upgrade is being performed.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 13:16:42 +0000
