## openssl 1.1.0j

=== debian/changelog ===
openssl (1.1.0j-1~deb9u1) stretch-security; urgency=medium

  * Import 1.1.0j
    - CVE-2018-0734 (Timing vulnerability in DSA signature generation)
    - CVE-2018-0735 (Timing vulnerability in ECDSA signature generation)
    - add new symbols

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Wed, 28 Nov 2018 23:43:08 +0100

openssl (1.1.0i-1~deb9u1) stretch; urgency=medium

  * Import 1.1.0i
    - Fix segfault ERR_clear_error (Closes: #903566)
    - Fix commandline option for CAengine (Closes: #907457)
    - CVE-2018-0732 (Client DoS due to large DH parameter)
    - CVE-2018-0737 (Cache timing vulnerability in RSA Key Generation)
  * Abort the build if symbols are discovered which are not part of the
    symbols file.
  * use signing-key.asc and a https links for downloads

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Mon, 03 Sep 2018 23:59:02 +0200

openssl (1.1.0f-3+deb9u2) stretch-security; urgency=high

  * CVE-2017-3738 (rsaz_1024_mul_avx2 overflow bug on x86_64)
  * CVE-2018-0733 (Incorrect CRYPTO_memcmp on HP-UX PA-RISC)
  * CVE-2018-0739 (Constructed ASN.1 types with a recursive definition could
    exceed the stack)
  * Add patches to pass the testsuite:
    - Fix-a-Proxy-race-condition.patch
    - Fix-race-condition-in-TLSProxy.patch

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 29 Mar 2018 12:51:02 +0200
