=== debian/rules ===
--- 
+++ 
@@ -133,21 +133,12 @@
 	fi
 	dh_fixperms -a -X etc/ssl/private
 
-override_dh_compress:
-	dh_compress
-	# symlink doc files
-	for p in openssl libssl-dev; do \
-	  for f in changelog.Debian.gz changelog.gz copyright; do \
-	    ln -sf ../libssl1.1/$$f debian/$$p/usr/share/doc/$$p/$$f; \
-	  done; \
-	done
-
 override_dh_perl:
 	dh_perl -d
 
 override_dh_makeshlibs:
 	#dpkg-gensymbols -Pdebian/libssl1.1/ -plibssl1.1 -c4
-	dh_makeshlibs -a -V --add-udeb="libcrypto1.1-udeb" -Xengines
+	dh_makeshlibs -a -V --add-udeb="libcrypto1.1-udeb" -Xengines -- -c4
 	# XXX: This needs gets set perl:any by dh_perl which is correct, but
 	# that breaks debootstrap in jessie (the current stable). This hack
 	# could be removed once stretch is stable and contains a fixed
