## openssl 1.1.0k

=== debian/changelog ===
openssl (1.1.0k-1~deb9u1) stretch-security; urgency=medium

  * Import 1.1.0k
    - CVE-2019-1543 (Prevent over long nonces in ChaCha20-Poly1305)

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Wed, 26 Jun 2019 18:59:20 +0200
