## openssl 1.1.0l

=== debian/changelog ===
openssl (1.1.0l-1~deb9u1) stretch-security; urgency=medium

  * Import 1.1.0l
    - CVE-2019-1547 (Compute ECC cofactors if not provided during EC_GROUP
      construction).
    - CVE-2019-1563 (Fixed a padding oracle in PKCS7_dataDecode and
      CMS_decrypt_set1_pkey).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Fri, 27 Sep 2019 21:46:29 +0200
