=== debian/rules ===
--- 
+++ 
@@ -100,7 +100,7 @@
 	# -arch isn't run as well. Otherwise install will fail because
 	# usr/lib/ssl/cert is a symlink to a non existing target.
 	if [ ! -L debian/tmp/usr/lib/ssl/certs ]; then \
-		$(MAKE) -C build_shared install DESTDIR=`pwd`/debian/tmp ;\
+		$(MAKE) -j1 -C build_shared install DESTDIR=`pwd`/debian/tmp ;\
 		mkdir -p debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/openssl ;\
 		mv debian/tmp/usr/include/openssl/opensslconf.h debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/openssl/ ;\
 	fi
