=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: openssl
-Build-Depends: debhelper (>= 10), m4, bc, dpkg-dev (>= 1.15.7)
+Build-Depends: debhelper (>= 11), m4, bc, dpkg-dev (>= 1.15.7)
 Section: utils
 Priority: optional
-Maintainer: Debian OpenSSL Team <pkg-openssl-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenSSL Team <pkg-openssl-devel@lists.alioth.debian.org>
 Uploaders: Christoph Martin <christoph.martin@uni-mainz.de>, Kurt Roeckx <kurt@roeckx.be>, Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-openssl/openssl
-Vcs-Svn: svn://anonscm.debian.org/pkg-openssl/openssl/
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/debian/openssl
+Vcs-Git: https://salsa.debian.org/debian/openssl.git
 Homepage: https://www.openssl.org/
+Rules-Requires-Root: no
 
 Package: openssl
 Architecture: any
@@ -30,12 +32,11 @@
 
 Package: libssl1.1
 Section: libs
-Priority: important
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: salt-common (<= 2016.3.3+ds-3)
+Breaks: python-httplib2 (<= 0.9.2+dfsg-1), isync (<= 1.3.0-1build1), python-imaplib2 (<= 2.57-1), python3-imaplib2 (<= 2.57-1), python-boto (<= 2.44.0-1ubuntu2), python3-boto (<= 2.44.0-1ubuntu2)
 Description: Secure Sockets Layer toolkit - shared libraries
  This package is part of the OpenSSL project's implementation of the SSL
  and TLS cryptographic protocols for secure communication over the
@@ -70,7 +71,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Recommends: libssl-doc
+Suggests: libssl-doc
 Depends: libssl1.1 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libssl1.0-dev
 Description: Secure Sockets Layer toolkit - development files
@@ -87,7 +88,7 @@
 Multi-Arch: foreign
 Replaces: libssl-dev (<< 1.0.0)
 Breaks: libssl-dev (<< 1.0.0)
-Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}
 Description: Secure Sockets Layer toolkit - development documentation
  This package is part of the OpenSSL project's implementation of the SSL
  and TLS cryptographic protocols for secure communication over the
