=== debian/rules ===
--- 
+++ 
@@ -8,20 +8,18 @@
 # This file may have to be extensively modified
 #
 # Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>
+include /usr/share/dpkg/architecture.mk
+include /usr/share/dpkg/pkg-info.mk
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 SHELL=/bin/bash
 
 package=openssl
 
 # For generating the manpages
-export VERSION=$(shell dpkg-parsechangelog | grep '^Version:' | sed -e 's/^.*://' -e 's/-.*//')
+export VERSION=$(DEB_VERSION_UPSTREAM)
 
-# The binary architeture
-DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)
-DEB_HOST_MULTIARCH=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-DEB_HOST_ARCH_CPU=$(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
-
-DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
 	export CROSS_COMPILE ?= $(DEB_HOST_GNU_TYPE)-
 endif
@@ -37,6 +35,12 @@
 OPTS      = $($(ARCHOPTS))
 WANTED_LIBC_VERSION = 2.3.1-10
 
+ifeq (,$(findstring terse,$(DEB_BUILD_OPTIONS)))
+	TESTSUITE_FLAGS = HARNESS_VERBOSE=yes
+else
+	TESTSUITE_FLAGS =
+endif
+
 ifeq ($(DEB_HOST_ARCH_CPU), amd64)
 	CONFARGS += enable-ec_nistp_64_gcc_128
 endif
@@ -51,11 +55,12 @@
 		mkdir build_$$opt; \
 		cd build_$$opt ; \
 		../Configure shared $(CONFARGS) debian-$(DEB_HOST_ARCH)-$$opt; \
+		perl configdata.pm -d; \
 		cd .. ;\
 	done
-	mkdir build_static; cd build_static; ../Configure no-shared $(CONFARGS) debian-$(DEB_HOST_ARCH)
+	mkdir build_static; cd build_static; ../Configure no-shared $(CONFARGS) debian-$(DEB_HOST_ARCH) ;perl configdata.pm -d
 	# Debian Perl policy 5.1 (Script Magic)
-	mkdir build_shared; cd build_shared; HASHBANGPERL=/usr/bin/perl ../Configure shared $(CONFARGS) debian-$(DEB_HOST_ARCH)
+	mkdir build_shared; cd build_shared; HASHBANGPERL=/usr/bin/perl ../Configure shared $(CONFARGS) debian-$(DEB_HOST_ARCH) ;perl configdata.pm -d
 
 override_dh_auto_build-indep:
 	$(MAKE) -C build_shared all
@@ -79,10 +84,10 @@
 	test -z "$(OPTS)" || for opt in $(OPTS); \
 	do \
 		set -xe; \
-		$(MAKE) -C build_$$opt test HARNESS_VERBOSE=yes; \
+		$(MAKE) -C build_$$opt test $(TESTSUITE_FLAGS); \
 	done
-	$(MAKE) -C build_static test HARNESS_VERBOSE=yes
-	$(MAKE) -C build_shared test HARNESS_VERBOSE=yes
+	$(MAKE) -C build_static test $(TESTSUITE_FLAGS)
+	$(MAKE) -C build_shared test $(TESTSUITE_FLAGS)
 endif
 
 override_dh_auto_clean:
@@ -100,7 +105,7 @@
 	# -arch isn't run as well. Otherwise install will fail because
 	# usr/lib/ssl/cert is a symlink to a non existing target.
 	if [ ! -L debian/tmp/usr/lib/ssl/certs ]; then \
-		$(MAKE) -j1 -C build_shared install DESTDIR=`pwd`/debian/tmp ;\
+		$(MAKE) -C build_shared install DESTDIR=`pwd`/debian/tmp ;\
 		mkdir -p debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/openssl ;\
 		mv debian/tmp/usr/include/openssl/opensslconf.h debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/openssl/ ;\
 	fi
@@ -115,6 +120,8 @@
 	ln -s /etc/ssl/{certs,openssl.cnf,private} debian/tmp/usr/lib/ssl/
 	cp -pf debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libcrypto.so.* debian/libcrypto1.1-udeb/usr/lib/
 	cp -pf debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libssl.so.* debian/libssl1.1-udeb/usr/lib/
+	mkdir -p debian/libssl1.1-udeb/usr/lib/ssl
+	cp debian/tmp/etc/ssl/openssl.cnf debian/libssl1.1-udeb/usr/lib/ssl/
 	cp -auv build_shared/lib*.so* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
 	for opt in $(OPTS); \
 		do set -xe; \
@@ -133,17 +140,20 @@
 	fi
 	dh_fixperms -a -X etc/ssl/private
 
+override_dh_compress:
+	dh_compress
+	# symlink doc files
+	for p in openssl libssl-dev; do \
+	  for f in changelog.Debian.gz changelog.gz copyright; do \
+	    ln -sf ../libssl1.1/$$f debian/$$p/usr/share/doc/$$p/$$f; \
+	  done; \
+	done
+
 override_dh_perl:
 	dh_perl -d
 
 override_dh_makeshlibs:
-	#dpkg-gensymbols -Pdebian/libssl1.1/ -plibssl1.1 -c4
 	dh_makeshlibs -a -V --add-udeb="libcrypto1.1-udeb" -Xengines -- -c4
-	# XXX: This needs gets set perl:any by dh_perl which is correct, but
-	# that breaks debootstrap in jessie (the current stable). This hack
-	# could be removed once stretch is stable and contains a fixed
-	# debootstrap, see #836525
-	#sed -i 's@perl:Depends=perl:any@perl:Depends=perl@' debian/openssl.substvars
 
 override_dh_shlibdeps:
 	sed -i '/^udeb: libssl/s/libcrypto1.1-udeb/libssl1.1-udeb/' debian/libssl1.1/DEBIAN/shlibs
